# This Package
This package uses free models by mz4250 and simsete, painting by simsete

https://www.patreon.com/mz4250 to make a donation for stl file author mz4250.

### Contents:

- 1x Guardian Portrait 2x3 (mz4250 model, Objects)
- 1x Guardian Portrait 3x2  (mz4250 model, Objects)
- 1x Frameless Portrait 1x1 (Objects)
- 3x Frameless Wall Size Portrait 1x2 (Objects)
- 3x Frameless Wall Size Portrait 3x2 (Objects)
- 2x Simple Transparent Plane 1x1 (Objects)
- 2x Simple Transparent Plane 1x2 (Objects)
- 2x Emissive Portrait 1x1 (Objects)
- 2x Emissive Portrait 1x2 (Objects)
- 1x Wooden Portrait 3x2 (Objects)

### Notice
Needs [ReTexture](https://talespire.thunderstore.io/package/LordAshes/RetexturePlugin/) installed to change portrait textures and [HideBasePlugin](https://talespire.thunderstore.io/package/LordAshes/HideBasePlugin/) to hide bases.

### Usage
1. Place portrait mini (Creatures->Objects)
2. Select portait mini and press R.Ctrl + X to show texture change dialog.
![Preview](https://i.imgur.com/STjIBt6.png)
3. Paste image url or file name (needs to be in TaleSpire_CustomData folder for  all users when using local files) and press Texture button.
![Preview](https://i.imgur.com/J60dtYG.png)
4. Hide base using HideBasePlugin. Default key is Shift+V.
5. Done

When using Emissive portraits it is highly recommended to have a secondary light source.
<br>Custom lights can be setup using the [Light Plugin](https://talespire.thunderstore.io/package/LordAshes/LightPlugin/). They can even be set on the emissive portrait mini.
![Preview](https://imgur.com/ltrTfFs.png)
Left: Emissive portrait with custom light setup using Light Plugin. Right: Emissive portrait with no light.


### Screenshots
![Preview](https://imgur.com/Bm3kZxV.png)
![Preview](https://i.imgur.com/yNAxHTd.png)


## Installing via R2ModMan
1. Open up r2modman, select talespire and the profile you want to install this on.
3. Navigate to Online, find this pack and click Download (Latest).
4. Make sure [CALP](https://talespire.thunderstore.io/package/PluginMasters/Custom_Assets_Library_Plugin/) is also installed.
5. [ReTexture](https://talespire.thunderstore.io/package/LordAshes/RetexturePlugin/) is not listed as dependency but is highly advised and is necessary to customize portrait textures.
6. [HideBasePlugin](https://talespire.thunderstore.io/package/LordAshes/HideBasePlugin/) is not listed as dependency but is highly advised and is necessary to customize portrait textures.

## License:
The models are licensed under https://creativecommons.org/licenses/by-sa/4.0/legalcode
Due to this, the package itself will inherit the same license.

## Changelog
- 1.0.0: First release
- 1.0.1: Added Frameless Portrait 1x1
- 1.0.2: Added Wall-sized Frameless Portrait 1x2
- 1.0.3: Added Simple Transparent Plane 1x1
- 1.0.4: Added Simple Transparent Plane 1x2
- 1.0.5: Added Wall-sized Frameless Portrait 3x2
- 1.0.6: Added Emissive Plane 1x1. Fixed Simple Transparent 0 opacity still reflecting light. Fixed Frameless Wall Size Portrait 3x2 not selecting properly from the front.
- 1.0.7: Added Emissive Plane 1x2.
- 1.0.8: Fixed instructions.
- 1.0.9: Added grounded and sunk portraits.
- 1.0.10: Added Wooden Portrait.
- 1.0.11: Fixed transparency.

Disclaimer this package has and will always comply to CC 4.0 license and is not for sale.